# System dump script

Dump various system informations into base64 encoded values and print them as json.

# Usage
Run a dump:
> ./sysdump.sh > dump.json

Run a dump on a remote machine using ssh:
> cat sysdump.sh | ssh user@host /bin/bash > dump.json

Explore a dump (require `jq`):
> ./sysdump.sh dump.json

Explore specific entries of a dump:
> ./sysdump.sh dump.json uname timezone

# Notes
- To get available entries see into `sysdump.sh`
- Some commands require root permissions.
If `sysdump.sh` is not run as root, these commands will not be executed.

# Useful entries
Important note: Depending on the system, some entries may not be available.

| Entry       | Description                                  |
|-------------|----------------------------------------------|
| compgen     | List all available commands in current shell |
| boot_folder | Recursive listing of /boot/                  |
| root_folder | Content of /                                 |
| home_folder | Content of $HOME                             |




